<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{admin/dashboardLayout.html}">
<head>

</head>
<body>
<section class="row" layout:fragment="content">
    <div class="col mt-4">
        <div class="card">
            <div class="card-header">
                <h2>Order detail</h2>
                <h5 th:text="'Khach hang: ' + ${nameCustomer}"></h5>
                <h6 th:text="'Ngay mua: ' + ${dateOfPurchase}"></h6>
            </div>
            <div class="card-body">
                <div th:if="${message} != null" class="alert alert-primary" role="alert">
                    <i>[[${message}]]</i>
                </div>
                <table class="table table-striped table-inverse">
                    <thead class="thead-inverse">
                    <tr>
                        <th>Product Name</th>
                        <th>Image</th>
                        <th>Price</th>
                        <th>Quantity</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr th:each=" orderDetail: ${orderDetails}">
                        <td scope="row">[[${orderDetail.product.name}]]</td>
                        <td>
                            <img id="image" th:src="${orderDetail.product.image != null ? '/admin/products/images/' + orderDetail.product.image  : '/admin/products/images/noimg.png'}"
                                 width="100px">
                        </td>
                        <td th:text="${orderDetail.product.unitPrice}"></td>
                        <td th:text="${orderDetail.quanity}"></td>
                    </tr>
                    </tbody>
                </table>
                <h5 th:text="'Tong tien: ' + ${total} + '$'"></h5>
            </div>
        </div>
    </div>
</section>
</body>
</html>
